# -*- encoding: utf-8 -*-
$:.push File.expand_path('../lib', __FILE__)
require 'underwear/version'
require 'date'

Gem::Specification.new do |s|
  s.required_ruby_version = ">= #{Underwear::RUBY_VERSION}"
  s.authors = ['thoughtbot', 'proletarian']
  s.date = Date.today.strftime('%Y-%m-%d')

  s.description = <<-HERE
Underwear is based on Underwear by Thoughtbot, a base Rails project that you can upgrade. Underwear is used by
thoughtbot to get a jump start on a working app.
  HERE

  s.email = 'adeel.rb@gmail.com'
  s.executables = ['underwear']
  s.extra_rdoc_files = %w[README.md LICENSE]
  s.files = `git ls-files`.split("\n")
  s.homepage = 'http://github.com/proletarian/underwear'
  s.license = 'MIT'
  s.name = 'underwear'
  s.rdoc_options = ['--charset=UTF-8']
  s.require_paths = ['lib']
  s.summary = "Generate a Rails app using thoughtbot's best practices and Adeel's preferences."
  s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.version = Underwear::VERSION

  s.add_dependency 'bundler', '~> 1.3'
  s.add_dependency 'rails', Underwear::RAILS_VERSION

  s.add_development_dependency 'rspec', '~> 3.2'
end
